commit:     78a588fab0f2bb4087b844d70c0ce4823532f03e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 27 02:49:42 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 27 03:54:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78a588fa

dev-python/pip-run: Bump to 12.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pip-run/Manifest              |  1 +
 dev-python/pip-run/pip-run-12.1.0.ebuild | 59 ++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/pip-run/Manifest b/dev-python/pip-run/Manifest
index 3682836d3c08..7e7a00bf084e 100644
--- a/dev-python/pip-run/Manifest
+++ b/dev-python/pip-run/Manifest
@@ -3,3 +3,4 @@ DIST pip-run-10.1.1.tar.gz 33010 BLAKE2B 
5a3dcd1e119b65718b465ecbd118d80de776252
 DIST pip-run-10.2.0.tar.gz 33523 BLAKE2B 
7d19c089da98dbba2faec969f490fcd5ea48881f4ccbbfaa283465ef083521aee7d82b9de8b03a89ec8b08005db1232cd9577030cb98c111b4a0e0f7294cca84
 SHA512 
b26a00c6ebd8e9e505e6b218fea7070b23b5926de44e1d5a762abb2a4ebd62b1bdda7e19c4092012daf068b518a2e127ab08099f6d1a7ddc643b3ba5bf999ed0
 DIST pip-run-11.0.0.tar.gz 33598 BLAKE2B 
3951c6cf959e137aeec2acae17eb6fd9b63a1716f1fe8cac55c964cf6cd975d5085dc8e05f11f00b3dd404d8f12d351d0e3f9cdd486cf1a883f917e60ad91103
 SHA512 
3b6c3aee3bf340f6a18e3f0acda56ed6da00dc21054e9a20499151c89a44ca388611bb7df57f04fa9b580dacd65a26c9cc34589bc01638f7ac1cc6f1752e2e5b
 DIST pip-run-12.0.0.tar.gz 34473 BLAKE2B 
e0a25cf4698979b22cd714f3326497d3381cc9b6c8be84085dbb239ada13f8a57b1b88a6ffde7d0fec4c58ec790c2287379c8f6843c6d20104450c1c9860f0b3
 SHA512 
efac5a3faaa48480b68b38a8a13e9407390fd96fff505228fe8482bbc9b4f12a7b2ad33b7abb9931a7fbd3d694d996fe58e87a4afa26f800c6e749b70c397d9b
+DIST pip-run-12.1.0.tar.gz 34387 BLAKE2B 
306dce020589a0cdcaddc70baf75a41621c72a450af58a2f54c5128f8210b02f4ee2b4df5b8bca1e0617ef53e79ab89969765b053801dc4f9d60bddf7c40e76e
 SHA512 
fa1c36b6b5befada7b54841723f9cd7ef6289bb723b46cbe000ccfc7a6e894181fbf58f472330830e5812aab8feb40dab8708cd82532696e510bd56ab0b70a20

diff --git a/dev-python/pip-run/pip-run-12.1.0.ebuild 
b/dev-python/pip-run/pip-run-12.1.0.ebuild
new file mode 100644
index 000000000000..f8ff3d17710e
--- /dev/null
+++ b/dev-python/pip-run/pip-run-12.1.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Install packages and run Python with them"
+HOMEPAGE="
+       https://github.com/jaraco/pip-run/
+       https://pypi.org/project/pip-run/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/autocommand[${PYTHON_USEDEP}]
+       dev-python/jaraco-context[${PYTHON_USEDEP}]
+       dev-python/jaraco-env[${PYTHON_USEDEP}]
+       >=dev-python/jaraco-functools-3.7[${PYTHON_USEDEP}]
+       dev-python/jaraco-text[${PYTHON_USEDEP}]
+       >=dev-python/more-itertools-8.3[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/path[${PYTHON_USEDEP}]
+       dev-python/pip[${PYTHON_USEDEP}]
+       dev-python/platformdirs[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jaraco-path[${PYTHON_USEDEP}]
+               >=dev-python/jaraco-test-5.3[${PYTHON_USEDEP}]
+               dev-python/pygments[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       dev-python/nbformat[${PYTHON_USEDEP}]
+               ' python3_{10..11})
+               dev-python/setuptools[${PYTHON_USEDEP}]
+               dev-python/wheel[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_IGNORE=()
+
+       if ! has_version "dev-python/nbformat[${PYTHON_USEDEP}]"; then
+               EPYTEST_IGNORE+=(
+                       tests/test_scripts.py
+               )
+       fi
+
+       epytest -m "not network"
+}

Reply via email to